<?php

namespace TDevAgency\Cms\Controllers\Auth;

use Illuminate\Contracts\Auth\Guard;
use Illuminate\Contracts\Auth\StatefulGuard;
use Illuminate\Contracts\Foundation\Application;
use Illuminate\Contracts\View\Factory;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use Illuminate\View\View;
use TDevAgency\Cms\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

final class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;


    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    /**
     * @return Application|Factory|View
     */
    public function showLoginForm()
    {
        return view('cms::admin.screens.auth.login');
    }

    /**
     * @return string
     */
    public function redirectTo()
    {
        return route('cms.dashboard');
    }

    /**
     * @return Guard|StatefulGuard|mixed
     */
    public function guard()
    {
        return Auth::guard('admin_user');
    }

    protected function loggedOut(Request $request)
    {
        return Redirect::route('cms.login');
    }
}
