<?php

namespace TDevAgency\Cms\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class AccessMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {

        if (!$request->user()->is_active) {
            Auth::logout();
            return redirect()->route('cms.login')
                ->withErrors(['email' => 'We don\'t find your credentials or your account is not activated']);
        }

        return $next($request);
    }
}
