<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateCategoryPostTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::table('category_posts', function (Blueprint $table) {
            $table->dropForeign(['category_id']);
            $table->dropColumn('category_id');
            $table->unsignedBigInteger('post_parent_id')->after('post_id');
        });

        Schema::table('category_posts', function (Blueprint $table) {
            $table->foreign('post_parent_id')->on('posts')->references('id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::table('category_posts', function (Blueprint $table) {
            $table->dropForeign(['post_parent_id']);
            $table->dropColumn('post_parent_id');
            $table->unsignedBigInteger('category_id');
        });

        Schema::table('category_posts', function (Blueprint $table) {
            $table->foreign('category_id')->on('categories')->references('id');
        });
    }
}
