@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group{!! $errors->has($key) ? ' has-error' : null !!}">
        <label class="control-label"
               for="{{str_replace('.', '_', $key)}}"{{!isset($placeholder)?' class="sr-only"':null}}>{{isset($placeholder)?$placeholder:null}}</label>
        <div>
            <date-time-picker
                    class="form-control"
                    id="{{str_replace('.', '_', $key)}}" name="{{ inputKeyToName($key) }}"

                    @if(isset($attributes) && is_array($attributes) && !empty($attributes))
                    @foreach($attributes as $attr_key => $attr_val )
                    @if(is_int($attr_key))
                    {{$attr_val}}
                    @else
                    {!! sprintf('%s="%s"', $attr_key, $attr_val) !!}
                    @endif
                    @endforeach
                    @endif

                    @if(isset($placeholder)) placeholder="{{$placeholder}}" @endif

                    value="{!! $value !!}"></date-time-picker>
        </div>
        @if($errors->has($key))
            <div class="help-block">{!! $errors->first($key) !!}</div>
        @endif
    </div>
@endif