require('./bootstrap');

import Vue from 'vue'
import VeeValidate, { Validator } from 'vee-validate'
import enVeeValidate from 'vee-validate/dist/locale/en'
import deVeeValidate from 'vee-validate/dist/locale/de'
import ruVeeValidate from 'vee-validate/dist/locale/ru'
import FilesManager from '@tdev-agency/files-manager'
import ImagePicker from "./vue-components/ImagePicker";

Vue.use(VeeValidate, { events: '',
    locale: document.querySelector('html').getAttribute('lang'),
    dictionary: {
        en: enVeeValidate,
        de: deVeeValidate,
        ru: ruVeeValidate,
    } });

Vue.use(FilesManager, { axios: axios })

Vue.component('image-picker', ImagePicker);

Vue.prototype.$axios = axios

window.Vue = Vue;
